#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kdepim-runtime
Summary:	kdepim runtime
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	a07bbf08a8c3a7facde92c808893c02b
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5NetworkAuth-devel
BuildRequires:	Qt5Positioning-devel >= 5.11.1
BuildRequires:	Qt5PrintSupport-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel >= 5.11.1
BuildRequires:	Qt5Speech-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5WebChannel-devel >= 5.11.1
BuildRequires:	Qt5WebEngine-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5XmlPatterns-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	cyrus-sasl-devel
BuildRequires:	gettext-devel
BuildRequires:	ka5-akonadi-calendar-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-contacts-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-mime-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-notes-devel >= %{kdeappsver}
BuildRequires:	ka5-kcalutils-devel >= %{kdeappsver}
BuildRequires:	ka5-kidentitymanagement-devel >= %{kdeappsver}
BuildRequires:	ka5-kimap-devel >= %{kdeappsver}
BuildRequires:	ka5-kmailtransport-devel >= %{kdeappsver}
BuildRequires:	ka5-kmbox-devel >= %{kdeappsver}
BuildRequires:	ka5-kmime-devel >= %{kdeappsver}
BuildRequires:	ka5-libkgapi-devel >= %{kdeappsver}
BuildRequires:	ka5-pimcommon-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcalendarcore-devel >= %{kframever}
BuildRequires:	kf5-kcodecs-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcontacts-devel >= %{kframever}
BuildRequires:	kf5-kdav-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdelibs4support-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-kholidays-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-kitemmodels-devel >= %{kframever}
BuildRequires:	kf5-knotifications-devel >= %{kframever}
BuildRequires:	kf5-knotifyconfig-devel >= %{kframever}
BuildRequires:	kf5-ktextwidgets-devel >= %{kframever}
BuildRequires:	kf5-kwindowsystem-devel >= %{kframever}
BuildRequires:	libkolabxml-devel >= 1.1
BuildRequires:	libxslt-progs
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExcludeArch:	x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Runtime components for Akonadi KDE. This package contains Akonadi
agents written using KDE Development Platform libraries.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{ko,sr}
%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akonadi_google_resource
%{_datadir}/knotifications5/akonadi_google_resource.notifyrc
%attr(755,root,root) %{_bindir}/akonadi_akonotes_resource
%attr(755,root,root) %{_bindir}/akonadi_birthdays_resource
%attr(755,root,root) %{_bindir}/akonadi_contacts_resource
%attr(755,root,root) %{_bindir}/akonadi_davgroupware_resource
%attr(755,root,root) %{_bindir}/akonadi_ews_resource
%attr(755,root,root) %{_bindir}/akonadi_ewsmta_resource
%attr(755,root,root) %{_bindir}/akonadi_ical_resource
%attr(755,root,root) %{_bindir}/akonadi_icaldir_resource
%attr(755,root,root) %{_bindir}/akonadi_imap_resource
%attr(755,root,root) %{_bindir}/akonadi_kolab_resource
%attr(755,root,root) %{_bindir}/akonadi_maildir_resource
%attr(755,root,root) %{_bindir}/akonadi_maildispatcher_agent
%attr(755,root,root) %{_bindir}/akonadi_mbox_resource
%attr(755,root,root) %{_bindir}/akonadi_migration_agent
%attr(755,root,root) %{_bindir}/akonadi_mixedmaildir_resource
%attr(755,root,root) %{_bindir}/akonadi_newmailnotifier_agent
%attr(755,root,root) %{_bindir}/akonadi_notes_resource
%attr(755,root,root) %{_bindir}/akonadi_openxchange_resource
%attr(755,root,root) %{_bindir}/akonadi_pop3_resource
%attr(755,root,root) %{_bindir}/akonadi_tomboynotes_resource
%attr(755,root,root) %{_bindir}/akonadi_vcard_resource
%attr(755,root,root) %{_bindir}/akonadi_vcarddir_resource
%attr(755,root,root) %{_bindir}/gidmigrator
%ghost %{_libdir}/libakonadi-filestore.so.5
%attr(755,root,root) %{_libdir}/libakonadi-filestore.so.5.*.*
%ghost %{_libdir}/libakonadi-singlefileresource.so.5
%attr(755,root,root) %{_libdir}/libakonadi-singlefileresource.so.5.*.*
%ghost %{_libdir}/libfolderarchivesettings.so.5
%attr(755,root,root) %{_libdir}/libfolderarchivesettings.so.5.*.*
%ghost %{_libdir}/libkmindexreader.so.5
%attr(755,root,root) %{_libdir}/libkmindexreader.so.5.*.*
%ghost %{_libdir}/libmaildir.so.5
%attr(755,root,root) %{_libdir}/libmaildir.so.5.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/akonadi.so
%{_datadir}/akonadi/accountwizard
%{_datadir}/akonadi/agents
%{_datadir}/akonadi/firstrun
%{_datadir}/dbus-1/interfaces/org.kde.Akonadi.Maildir.Settings.xml
%{_datadir}/dbus-1/interfaces/org.kde.Akonadi.MixedMaildir.Settings.xml
%{_iconsdir}/hicolor/128x128/apps/akonadi-ews.png
%{_iconsdir}/hicolor/128x128/apps/ox.png
%{_iconsdir}/hicolor/16x16/apps/akonadi-ews.png
%{_iconsdir}/hicolor/16x16/apps/ox.png
%{_iconsdir}/hicolor/22x22/apps/akonadi-ews.png
%{_iconsdir}/hicolor/24x24/apps/akonadi-ews.png
%{_iconsdir}/hicolor/32x32/apps/akonadi-ews.png
%{_iconsdir}/hicolor/32x32/apps/ox.png
%{_iconsdir}/hicolor/48x48/apps/akonadi-ews.png
%{_iconsdir}/hicolor/48x48/apps/ox.png
%{_iconsdir}/hicolor/64x64/apps/akonadi-ews.png
%{_iconsdir}/hicolor/64x64/apps/ox.png
%{_iconsdir}/hicolor/72x72/apps/akonadi-ews.png
%{_iconsdir}/hicolor/96x96/apps/akonadi-ews.png
%{_datadir}/knotifications5/akonadi_ews_resource.notifyrc
%{_datadir}/knotifications5/akonadi_maildispatcher_agent.notifyrc
%{_datadir}/knotifications5/akonadi_newmailnotifier_agent.notifyrc
%{_datadir}/knotifications5/akonadi_pop3_resource.notifyrc
%dir %{_datadir}/kservices5/akonadi
%dir %{_datadir}/kservices5/akonadi/davgroupware-providers
%{_datadir}/kservices5/akonadi/davgroupware-providers/citadel.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/davical.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/egroupware.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/nextcloud.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/opengroupware.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/owncloud-pre5.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/owncloud-pre9.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/owncloud.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/scalix.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/sogo.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/yahoo.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/zarafa.desktop
%{_datadir}/kservices5/akonadi/davgroupware-providers/zimbra.desktop
%{_datadir}/mime/packages/kdepim-mime.xml
%{_datadir}/qlogging-categories5/kdepim-runtime.categories
%{_datadir}/qlogging-categories5/kdepim-runtime.renamecategories
%dir %{_libdir}/qt5/plugins/pim5/akonadi/config
%{_libdir}/qt5/plugins/pim5/akonadi/config/akonotesconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/birthdaysconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/contactsconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/icalconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/icaldirconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/maildirconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/maildispatcherconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/mboxconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/mixedmaildirconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/newmailnotifierconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/notesconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/openxchangeconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/pop3config.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/tomboynotesconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/vcardconfig.so
%{_libdir}/qt5/plugins/pim5/akonadi/config/vcarddirconfig.so
%{_libdir}/qt5/plugins/pim5/kcms/kaddressbook/kcm_ldap.so
%{_desktopdir}/org.kde.akonadi_davgroupware_resource.desktop
%{_desktopdir}/org.kde.akonadi_google_resource.desktop
%{_desktopdir}/org.kde.akonadi_imap_resource.desktop
%{_desktopdir}/org.kde.akonadi_kolab_resource.desktop
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kdepim-runtime.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> af9062f
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 67c3f9e
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8b91be5
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2e50866
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> dff7db6
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b9f00b5
- updated to 22.08.1

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1f2a30a
- relup

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9b02e2e
- relup

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e88f48c
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9361624
- updated to 22.04.3

* Wed Jun 15 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d5f170c
- replacing ExclusiveArch with ExcludeArch

* Sun Jun 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b8463af
- excluding x32

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a75e1c1
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4360232
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8287ff9
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5c786ea
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 62b1d0c
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> db78a2e
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2f54713
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 73947a8
- updated to 21.12.0

